module Slds::Helper
  module SharedMethods
    def slds
      @@slds ||= Slds
    end
  end

  extend ActiveSupport::Concern
  include SharedMethods

  class_methods do
    include SharedMethods
    delegate :config, to: :slds, prefix: true
  end

  delegate :assets_url, :assets_path, to: :slds, prefix: true

  def slds_link_tag(options = {})
    stylesheet_link_tag(
      slds_assets_url('styles/salesforce-lightning-design-system.min.css'),
      options
    )
  end
end
